# Interface methods for submodule: BMPImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageIOBaseProxy as _ImageIOBaseProxy


# Interface methods for class: BMPImageIO
class BMPImageIOProxy(_ImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFileLowerLeft(self) -> bool:
		""""""
		...

	def GetBMPCompression(self) -> int:
		""""""
		...

	def GetColorPalette(self):
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

